import data.*;
import data.hsqldb.*;

public class App {
	public static void main(String[] args) {
		DataProviderFactory f = new DataProviderFactoryHSQL();
		DataProvider data = f.createInstance();
		
		data.connect();
		
		Person p1 = new Person();
		p1.setVorname("Michael");
		p1.setNachname("Schmidt");
		System.out.println(p1.getId());
		data.getMapper(Person.class).insert(p1);
		System.out.println(p1.getId());
		
		data.getMapper(Person.class).delete(p1);
		System.out.println(p1.getId());
		
		Person p2 = data.getMapper(Person.class).load(1);
		System.out.println(p2.getVorname());
		
		p2.setVorname("Donald");
		data.getMapper(Person.class).update(p2);
		
		Abteilung a = data.getMapper(Abteilung.class).load(1);
		System.out.println(a.getName());
		
		data.disconnect();
	}

}
